Get Bulk Disbursement By ID
curl --request GET \
--url https://api.spotflow.co/api/v1/transfers/bulk/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/transfers/bulk/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.spotflow.co/api/v1/transfers/bulk/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spotflow.co/api/v1/transfers/bulk/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spotflow.co/api/v1/transfers/bulk/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.spotflow.co/api/v1/transfers/bulk/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"reference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"spotflowreference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"amount": 0,
"currency": "NGN",
"transferMode": "7706438396",
"destination": {
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankCode": "NGN100",
"branchCode": "NGN100",
"bankName": "Testbank MFB"
},
"narrations": "string",
"status": "string"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Bulk Disbursements
Get Bulk Disbursement By ID
Get details of an uploaded bulk disbursement by its id.
GET
/
transfers
/
bulk
/
{id}
Get Bulk Disbursement By ID
curl --request GET \
--url https://api.spotflow.co/api/v1/transfers/bulk/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/transfers/bulk/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.spotflow.co/api/v1/transfers/bulk/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spotflow.co/api/v1/transfers/bulk/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spotflow.co/api/v1/transfers/bulk/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.spotflow.co/api/v1/transfers/bulk/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"reference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"spotflowreference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"amount": 0,
"currency": "NGN",
"transferMode": "7706438396",
"destination": {
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankCode": "NGN100",
"branchCode": "NGN100",
"bankName": "Testbank MFB"
},
"narrations": "string",
"status": "string"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Authorizations
Path Parameters
Response
A JSON array of bulk disbursement details objects.
⌘I

